<template>
	<view class="wrap">
		<u-toast ref="uToast" />

		<view class="u-p-t-30 u-p-b-30 u-flex u-flex-col u-text-center">
			<!-- <u-avatar size="250" src="/static/aidex/logo200.png"></u-avatar> -->
			<view class="title">{{this.$t('homePage.mine.hoenergypower')}}</view>
			<!-- <view class="version">{{vuex_config.productVersion}}</view> -->
		</view>
		<u-cell-group class="form" :border="false">
			<navigator url="" open-type="navigate">
				<u-cell-item :title="$t('homePage.mine.companyHomepage')">https://www.zetatech-energy.com</u-cell-item>
			</navigator>
			<navigator>
				<u-cell-item :arrow="false" :title="$t('homePage.mine.technicalServices')">15389457063</u-cell-item>
			</navigator>
			<navigator url="" open-type="navigate">
				<u-cell-item :arrow="true" :title="$t('homePage.mine.termsOfService')" @click="tip"></u-cell-item>
			</navigator>
		</u-cell-group>
		<u-row gutter="16" style="margin-top: 20px;">
			
		</u-row>
		<view class="copyright">
			<view> 版权所有</view>
			<view>Copyright &copy; 2025 zzkj-cloud.com</view>
		</view>
	</view>
</template>
<script>
export default {
	computed: {
		language(){
			return this.vuex_language 
		}
	},
	watch:{
		language: {
			immediate: true,
			deep:true,
			handler(val) {
				uni.setNavigationBarTitle({
					title: this.$t('homePage.mine.aboutUs')
				});
			}
		}
	},
	
	methods: {
		tip(){
			this.$refs.uToast.show({
        title: this.$t('homePage.mine.notAva'),
        type: "warning",
      });
		},
		upgrade(){
			// #ifdef APP-PLUS
			this.$u.api.upgradeCheck().then(res => {
				if (res.result == 'true'){
					uni.showModal({
						title: this.$t('homePage.mine.tip'),
						content: res.message + this.$t('homePage.mine.downUpdate'),
						showCancel: true,
						success: function (res2) {
							if (res2.confirm) {
								plus.runtime.openURL(res.data.apkUrl);
							}
						}
					});
				}else{
					this.$u.toast(res.message);
				}
			});
			// #endif
			// #ifndef APP-PLUS
			this.$u.toast(this.$t('homePage.mine.noUpdate'));
			// #endif
		}
	}
};
</script>
<style lang="scss" scoped>
page {
	background-color: #f5f5f5;
}
.title {
	display: flex;
	margin: 30rpx 0 10px;
	font-size: 50rpx;
}
.version {
	margin-bottom: 10rpx;
	font-size: 40rpx;
}
.copyright {
	margin-top: 50rpx;
	text-align: center;
	line-height: 60rpx;
	color: #999;
}
.cade-box{
	uni-image{
		width: 120px;
		height:120px;
		border: 1px solid #dcdcdc;
		padding: 5px;
		background: #ffffff;
	}
}
.cade-text{
	color: #999999;
	font-size:12px;
}
</style>
